<?php
namespace DigiComp\Menu;

/*
 * This file is part of the DigiComp.Menu package.
 *
 * (c) digital competence
 *
 * This package is Open Source Software. For the full copyright and license
 * information, please view the LICENSE file which was distributed with this
 * source code.
 */

use Neos\Flow\Core\Bootstrap;
use Neos\Flow\Package\Package as BasePackage;
use Neos\Flow\Configuration\ConfigurationManager;

/**
 * Package base class of the DigiComp.Menu package.
 *
 * @Flow\Scope("singleton")
 */
class Package extends BasePackage
{

    public function boot(Bootstrap $bootstrap)
    {
        parent::boot($bootstrap);

        $dispatcher = $bootstrap->getSignalSlotDispatcher();
        $dispatcher->connect(
            'Neos\Flow\Configuration\ConfigurationManager', 'configurationManagerReady',
            function (ConfigurationManager $configurationManager) {
                $configurationManager->registerConfigurationType('Menu');
            }
        );
    }
}